www.cendio.com
Bug 7352 - incorrect date shown on some thindrive files with Windows client
: incorrect date shown on some thindrive files with Windows client
Status: CLOSED FIXED
: ThinLinc
Local drive redirection
: trunk
: PC Unknown
: P2 Normal
: 4.10.1
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2019-05-24 10:32 by
Modified: 2019-05-28 12:33 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2019-05-24 10:32:24
Example:

> $ stat thindrives/ossman/openssh.log
>   Fil: thindrives/ossman/openssh.log
>   Storlek: 6366      	Block: 12         IO-block: 524288 normal fil
> Enhet: 4eh/78d	Inode: 219103980   Länkar:1
> Åtkomst: (0666/-rw-rw-rw-)  Uid: (  500/  tltest)  Gid: (  500/  tltest)
> Kontext: system_u:object_r:nfs_t:s0
>     Åtkomst: 2017-12-15 17:27:07.000000000 +0100
> Modifiering: 2017-12-15 17:33:23.000000000 +0100
>     Ändring: 2017-12-15 17:27:07.000000000 +0100
>        Född: -

However locally the file is shown as modified 2017-12-15 16:33. I.e. it's one
hour off.

We've identified a bug with DST handling in Windows in bug 5560, comment 10.
Should hopefully be fixed as part of that work.


See also bug 6972 which has dates that are completely bonkers.
------- Comment #3 From cendio 2019-05-24 12:04:55 -------
Fixed now with bug 5560.
------- Comment #4 From cendio 2019-05-28 12:33:02 -------
Works fine with build 6138 on Windows 7.